Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libnice
#Epoch:		0
Version:	0.0.10
Release:	1
BuildArch:	i686
License:	GNU/LGPLv2.1 / MozillaPLv1.1	
URL:		http://nice.freedesktop.org/wiki/
Group:		System/Libraries
Summary:	GLib ICE implementation
BuildRoot:	%{_tmppath}/%{name}-buildroot

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glib-devel
BuildRequires: glibc-devel
BuildRequires: gstreamer10-devel
BuildRequires: libxml2-devel
BuildRequires: pkg-config

%description
Libnice is an implementation of the IETF's draft Interactice Connectivity Establishment standard (ICE). It provides GLib-based library, libnice and GStreamer elements.

ICE is useful for applications that want to establish peer-to-peer UDP data streams. It automates the process of traversing NATs and provides security against some attacks.

Existing standards that use ICE include Session Initiation Protocol (SIP) and XMPP Jingle.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Is this really needed?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/stunbdc
%{_bindir}/stund
%{_libdir}/libnice.so.*
%{_libdir}/gstreamer-0.10/libgstnice.*

%files devel
%defattr(-,root,root)
%{_includedir}/nice/
%{_includedir}/stun/
%{_libdir}/libnice.so
%{_libdir}/libnice.a
%{_libdir}/libnice.la
%{_pkgconfig}/nice.pc
%{_datadir}/gtk-doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 0.0.10-1
- Version update
* Fri Aug 28 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.0.9-1
- initial CCux package release
